GET /v2.0/data/dbtables/{table}
neotomadb.org:neotoma-database-api
Summary: Returns the full content of a named Neotoma Database table.
Operation ID: —
Auth: unknown
Operation ID: —
Auth: unknown
Description
Returns the named Neotoma Database table. An empty query will return a list of tables. Uses a default limit of 25 and offset of 0.
Parameters (4)
count
(boolean, query, optional, default: False)
Should we return the row count for the table?
limit
(integer, query, optional, default: 25)
The maximum number of records to be returned, default is 25.
Constraints: {'minimum': 1, 'maximum': 10000}
offset
(integer, query, optional, default: 0)
The offset for returned records when a limit is present. Default is 0.
Constraints: {'minimum': 0}
table
(string, path, required)
Valid name for a Neotoma Table
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| List all available database tables | curl |
https://api.neotomadb.org/v2.0/data/dbtables/ |
|
| Get sites table with default pagination | curl |
https://api.neotomadb.org/v2.0/data/dbtables/sites |
|
| Get datasets table with count and custom limit | curl |
https://api.neotomadb.org/v2.0/data/dbtables/datasets?count=true&limit=10&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:59:49.600126 | 200 | 614ms | |
| 2026-03-23 10:40:34.002803 | 200 | 559ms | |
| 2026-03-22 21:41:04.422085 | 200 | 598ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:40:34.002803 | 854b9b730414 |
b9a1d46021fc |
| 2026-03-23 11:59:49.600126 | b9a1d46021fc |
b4ae6454a92d |